Bug 160482 - cannot use another language
Summary: cannot use another language
Status: RESOLVED WORKSFORME
Alias: None
Product: klettres
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Anne-Marie Mahfouf
URL:
Keywords:
: 160483 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-04-06 20:01 UTC by Marc Collin
Modified: 2008-06-03 23:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Collin 2008-04-06 20:01:57 UTC
Version:           2.0 (using 4.0.3 (KDE 4.0.3) "release 3.2", compiled sources)
Compiler:          gcc
OS:                Linux (x86_64) release 2.6.22.17-0.1-default

if i use kde english environnement and keyboard, in klettre i can't learn other language like arabic...

i type on every characher on the keyboard... and the letter is never found...
Comment 1 Anne-Marie Mahfouf 2008-04-06 20:15:50 UTC
*** Bug 160483 has been marked as a duplicate of this bug. ***
Comment 2 Anne-Marie Mahfouf 2008-04-06 20:18:03 UTC
You did not compile and install the Arabic language at all? What does the Language menu say? What language is selected? 
Thanks in advance!
Comment 3 Marc Collin 2008-04-06 20:57:44 UTC
i get only the arabic and french alphabet

the language menu say:

Arabic
English
French

the language selected is Arabic
Comment 4 Anne-Marie Mahfouf 2008-04-07 16:37:11 UTC
Hi, sorry I did not understand at first but now I do ;) The Arabic language does not work because the file sounds.xml has some characters that were not input from the keyboard. I fixed most of them but I have trouble with a few. Do you know Arabic? I'd like to know if the sound ا is the same than أ (upper case). I also need to know how to input ﻫ and ﻛ and نfrom keyboard.
Not sure if you can see those!
Comment 5 Marc Collin 2008-04-07 16:42:56 UTC
me no but my wife do...

i will ask her
Comment 6 Marc Collin 2008-04-07 16:43:19 UTC
me no but my wife do...

i will ask her
Comment 7 Anne-Marie Mahfouf 2008-04-07 21:17:26 UTC
SVN commit 794517 by annma:

correct Arabic file
CCBUG=160482


 M  +6 -6      sounds.xml  


WebSVN link: http://websvn.kde.org/?view=rev&revision=794517
Comment 8 Anne-Marie Mahfouf 2008-04-07 21:32:49 UTC
Hi Marc, it is now fixed in svn Arabic trunk and branch, the author of the sounds sent me the corrected file. I'll commit the tarball for the KNewStuff download and close the bug.

If you want to test it, you can download the file sounds.xml here
http://websvn.kde.org/*checkout*/trunk/l10n-kde4/ar/data/kdeedu/klettres/sounds.xml?revision=794517
and copy it over to $KDEHOME/share/apps/klettres/ar or $KDEDIRS/share/apps/klettres/ar depending if you got ar from KNewStuff (local install) or from a i18n package (global install)
Comment 9 Anne-Marie Mahfouf 2008-04-07 21:33:05 UTC
SVN commit 794526 by annma:

new Arabic KNS files
BUG=160482


 M             klettres-ar.tar.bz2  


WebSVN link: http://websvn.kde.org/?view=rev&revision=794526
Comment 10 Marc Collin 2008-04-07 21:38:28 UTC
ok i tried the new file

and that don't seem to work...

i mean i tried a lot of sound and clicked on all the keyboard key... the letter was never found...

Comment 11 amine 2008-04-07 21:50:48 UTC
Try to use kvkb to enter the lettres ( if it's not already the case ).
Comment 12 Anne-Marie Mahfouf 2008-04-08 08:03:55 UTC
Marc, you have to tell us more. We need two elements of knowledge:
1) Attach here the sounds.xml (where is it installed on your machine?) you are  using and indicate what KDE version you use.
2) Tell us how you input Arabic in KLettres: using KDE arabic keyboard added via System Settings? other input? If so describe precisely please.

Thanks in advance!
Comment 13 Marc Collin 2008-04-08 22:07:20 UTC
i use the same sounds.xml than you... i can listen the arabic sound... but i can use my english keyboard...  i thinked klettre changed the keyboard layout for the selected language...

i think you can close this bug...

we need to change the keyboard layout directely via system settings... that could be fine if KLettre could show a virtual keyboard of the language we want to learn...
Comment 14 Anne-Marie Mahfouf 2008-04-09 08:53:00 UTC
we cannot integrate a virtual keyboard for KLettres as this does not exist and I can't code it. When KDE has such a program (there was one on the making but it somehow stopped) you can use it. Until then, print a keyboard interface from a pic on the Internet and use KDE keyboards layouts in System Settings.

For languages such as French I provide a toolbar with the "special" characters such as à ou û but I cannot do more.

Next time please you should explain your problem better as I did not understand it from the start.

I leave to you to close this bug, you can open a wish for a virtual keyboard but not for KLettres as it should be a global program on its own.
Comment 15 Marc Collin 2008-06-03 23:24:02 UTC
that ok